Muusikoiden.net
16.10.2018
Bändikirja | Käy kirjakaupassa tai klikkaa 

Tietokoneet ja musiikkiohjelmat »

Keskustelualueet | Lisää kirjoitus aiheeseen | HakuSäännöt & Ohjeet | FAQ | Kirjaudu sisään | Rekisteröidy

Aihe: TuxGuitar, java ja High Sierra
1
Berzerkowitz
27.04.2018 02:07:49
      Linkitä kirjoitukseen Tulosta  

Äskettäin asentelin osx:än uusiksi ja päivitin yosemitesta high sierraan.
Olen aiemmin käyttänyt softaa nimeltään TuxGuitar(https://sourceforge.net/projects/tuxguitar/) . No nyt kun uuden käyttiksen version kanssa yritin sitä TG:tä ajaa niin ensiksi tuli ilmoitus "To use the "java" command-line tool you need to install a JDK" ja sitten ne "More Info" ja "OK" -nappulat. Elikkäs pitää vissiin asentaa uudempi versio javasta. Kun uusi java oli asennettu niin uusi yritys ajaa TuxGuitar. No sama java-ilmoitus tuli taas. No koitetaanpa sellaista että haetaan tuolta sourceforgesta uusin versio ja sitten uusi yritys. Tällä kertaa sitten taisi tökätä siihen että kyseisen softan valmistaja ei ole App Store eikä edes "identified developer" osx:än mielestä. Sitä kolmatta vaihtoehtoa mikä aiemmin oli system preferences->security&privacy->general-välilehdellä ei enää löytynyt.
 
Niin tuota.
 
Kun nyt tässä olisi perimmäisenä tarkoituksena se että saisi sen TuxGuitarin takaisin toimintakuntoon niin onnistuuko High Sierran kanssa vaiko ei?
 
Onnistuuko siinä general-välilehdellä jotenkin sanomaan että tuxguitarin ajaminen on ok vaiko ei? Pitääkö olla jokin tietty versio TG:stä että pelaa high sierran kanssa? Vaiko takaisin yosemiteen?
 
Krice
27.04.2018 11:01:56
Kotisivu       Linkitä kirjoitukseen Tulosta  

Berzerkowitz: Onnistuuko siinä general-välilehdellä jotenkin sanomaan että tuxguitarin ajaminen on ok vaiko ei?
 
Jos yrittää ajaa jonkun satunnaisen ohjelman niin sinne pitäisi tulla ilmoitus, jonka avulla sen voi sallia.
 
Berzerkowitz
27.04.2018 12:03:21 (muokattu 27.04.2018 12:04:20)
      Linkitä kirjoitukseen Tulosta  

Krice: Jos yrittää ajaa jonkun satunnaisen ohjelman niin sinne pitäisi tulla ilmoitus, jonka avulla sen voi sallia.
 
Huomasin sen kyllä(vähän ketjun 1,viestin lähettämisen jälkeen) mutta vaikka sallinkin niin silti vaan jankuttaa javasta niinku ennenkin.
 
Berzerkowitz
27.04.2018 12:20:43
      Linkitä kirjoitukseen Tulosta  

Onkohan se 3. vaihtoehdon puuttuminen general-välilehdeltä jonkin yosemiten turvallisuuspäivityksen ominaisuus vai tuliko se mukaan HS:ssä?
 
Berzerkowitz
27.04.2018 13:26:19 (muokattu 27.04.2018 13:29:35)
      Linkitä kirjoitukseen Tulosta  

Kokeilin uudemman kerran.
 
Jos .tg-tiedostostoa klikkaa hiiren oikealla napilla, avautuu se open with-valikko. Valkkaa tuxguitarin version 1.2 mikä oletuksena niin tulee java-valitus.
Sen sijaan jos valitseekin version 1.5 minkä eilen illalla asensin, käykin jotain muuta.
Fifty-fifty että tuleeko java-valitus vaiko ei. Jos ei tule niin sitten näköjään uusi versio tuxguitarista avatuu MUTTA se .tg-tiedosto mikä oli tarkoitus avata tuxguitarilla ei tietenkään avaudu vaan sen joutuu erikseen klikkailemaan esiin tiedostojärjestelmästä.
 
Applications-hakemiston kautta jos klikkailee tuxguitarin kuvaketta niin java-valitus tulee.
 
Pikkuisen epäkätevältä vaikuttaa aiempaan verrattuna.
 
Saiskohan tuon tg:n 1.2-version poistettua jotenkin? Että jäisi vain se 1.5 mikä silleen vähän niinku toimii.
 
Tosin parempi silleen että toimisi kunnolla mutta fifty-sixty rupeanko viikonloppua kuluttamaan siihen että Yosemiten asennus uusicksi from scratch.
 
Cubase vaikuttaisi kyllä toimivan että sen puolesta ei vissiin tarttis Yosessa jumittaa.
 
Krice
27.04.2018 20:00:57
Kotisivu       Linkitä kirjoitukseen Tulosta  

Berzerkowitz: Tosin parempi silleen että toimisi kunnolla mutta fifty-sixty rupeanko viikonloppua kuluttamaan siihen että Yosemiten asennus uusicksi from scratch.
 
Arvelen, että ongelma on enemmänkin tux guitarissa ja javassa. Ehkä se vaatii jonkun tietyn java-version? Tosin luulisi, että uusin java on taaksepäin yhteensopiva.
 
p130
27.04.2018 20:15:36
Musiikkinäyte       Linkitä kirjoitukseen Tulosta  

Krice: Arvelen, että ongelma on enemmänkin tux guitarissa ja javassa. Ehkä se vaatii jonkun tietyn java-version? Tosin luulisi, että uusin java on taaksepäin yhteensopiva.
 
Tällaisessa tilanteessa kuuluu ilmiselvästi kuitenkin haukkua käyttöjärjestelmä paskaksi, vaikka ongelma olisikin kolmannen osapuolen kikkareessa. Niinhän on tapana...?
 
Olen mieluummin yksin oikeassa kuin lauman kanssa väärässä.
Berzerkowitz
27.04.2018 21:11:40 (muokattu 27.04.2018 21:15:06)
      Linkitä kirjoitukseen Tulosta  

Berzerkowitz:
 
Saiskohan tuon tg:n 1.2-version poistettua jotenkin? Että jäisi vain se 1.5 mikä silleen vähän niinku toimii.
 

 
Niin tai saahan sen wanhan version toki niin pois että nykäisee sieltä Applications-hakemistosta roskikseen. Mutta en mielellään niin olisi tehnyt koska aiemmin tuommoisen tempauksen jälkeen jäi 1 softa kummittelemaan. Vaan eipä näyttänyt uuden tuxguitarin käyttäytyminen muuttuneen parempaan suuntaan.
 
Jos ei nyt rupea tuo TG-asia muuttumaan parempaan suuntaan niin kai se on uudelleen-asennus-masennus edessä. Olisi oikeastaan pari muutakin softaa joiden kanssa myös tuo "App store and identifier developers"-asetus tuntuu haraavan vastaan.
 
Ja. Onhan sitä kyllä sellainenkin ohjelma olemassa kuin GuitarPro mutta se on taas maksullinen ja työttömänä pellenä menisin mieluummin 0-budjetilla + lisäksi se ettei TG ja GP ole ihan 100% yhteensopivia. Enimmäkseen kyllä muttei aivan täydellisetsi kuitenkaan.
 
Krice
28.04.2018 11:45:30
Kotisivu       Linkitä kirjoitukseen Tulosta  

Berzerkowitz: Onhan sitä kyllä sellainenkin ohjelma olemassa kuin GuitarPro mutta se on taas maksullinen ja työttömänä pellenä menisin mieluummin 0-budjetilla + lisäksi se ettei TG ja GP ole ihan 100% yhteensopivia. Enimmäkseen kyllä muttei aivan täydellisetsi kuitenkaan.
 
Mihin käytät TG:tä? Onhan osx:ssä Garageband mukana.
 
Vessajono
28.04.2018 12:09:51
      Linkitä kirjoitukseen Tulosta  

Krice: Mihin käytät TG:tä? Onhan osx:ssä Garageband mukana.
 
Varmaan niihin asioihin, joita Garagebandilla ei pysty tekemään.
 
Lennu: Minkä takia on pakko aina olla väärässä? Lue mun vastaus uudestaan. Luen sitten sun vastineen, kun olet samaa mieltä, sitä ennen en lue. Kaljan_paskaa juotu vuonna 2018: 107,7 litraa
noon
29.04.2018 22:05:48
Kotisivu Musiikkinäyte       Linkitä kirjoitukseen Tulosta  

Imuroi se java oraclen sivuilta, älä mistään sourceforgesta. En tiedä onko vaikutusta, mutta oracle on virallinen paikka
 
Berzerkowitz
29.04.2018 22:46:36 (muokattu 29.04.2018 22:52:43)
      Linkitä kirjoitukseen Tulosta  

noon: Imuroi se java oraclen sivuilta, älä mistään sourceforgesta. En tiedä onko vaikutusta, mutta oracle on virallinen paikka
 
Käsittääkseni olen juuri oraclen sivuilta sen javan hakenut, useampaan kertaan. Se java-urputus-laatikko ohjasi nimenomaan oraclen sivuille.
Tuxguitar sitä vastoin peräisin sourceforgesta. Miksi ihmeessä javan pitäisi sieltä löytyä?
 
Berzerkowitz
29.04.2018 22:51:24
      Linkitä kirjoitukseen Tulosta  

TG:n versio 1.5 silleen niinku tavallaan toimii mutta tuo "open with"-ominaisuuden kuseminen ärsyttää.
Kokeilin myös tuxguitarin 1.4-versiota mutta se ei toiminut edes senkään vertaa kuin 1.5.
 
Berzerkowitz
11.05.2018 02:43:57
      Linkitä kirjoitukseen Tulosta  

Pitää näköjään olla juuri tasan tarkkaan TuxGuitar 1.2 ja sen kanssa se jokin wanhempi javan versio jotta se open with-homma toimii.
 
« edellinen sivu | seuraava sivu »
1

» Lisää uusi kirjoitus aiheeseen (Vaatii kirjautumisen)

Keskustelualueet «
Haku tästä aiheesta / Haku «
Säännöt «

Copyright ©1999-2018, Muusikoiden Net ry. Kaikki oikeudet pidätetään.
Palaute | Käyttöehdot | Rekisteriseloste | Netiketti | Mediakortti